tools

# Class: LAMTool

Source Location: /templates/tools.php

### Class Overview

Represents a tool.

#### Author(s):

- Roland Gruber

### Variables

- $description
- $link
- $name
- $requiresPasswordChanges
- $requiresWriteAccess

### Class Details

[line 140]
Represents a tool.

#### Tags:

author: | Roland Gruber

[ Top ]

### Class Variables

#### $description =

[line 146]

description text

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $link =

[line 149]

link to tool page (relative to templates/)

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $name =

[line 143]

name of the tool

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $requiresPasswordChanges = false

[line 155]

tool requires password change rights

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $requiresWriteAccess = false

[line 152]

tool requires write access to LDAP

#### Tags:

access: | public

Type: | mixed

[ Top ]

Documentation generated on Mon, 28 Apr 2008 20:17:53 +0200 by phpDocumentor 1.4.0